Bug 3131 - Wrong autoconfiguration of AD1980 sound.
: Wrong autoconfiguration of AD1980 sound.
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/Compact-2.3-beta)
: unstable
: all Linux
: P3 major
Assigned To:
:
:
:
:
: 3005
  Show dependency tree
 
Reported: 2003-10-08 09:51 by
Modified: 2007-04-06 16:14 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-10-08 09:51:15
Неправильно конфигурируется встроенный звук на мат. плате ASUS P4PE (чипсет - 
i845PE, звук - ADI AD1980).

При первом запуске kudzu сообщает о том, что найдена звуковая карта и 
прописывает в /etc/modules.conf строчку "alias sound-slot-0 i810_audio". Этот 
вариант НЕ работает.

На том же компьютере Master 2.2 конфигурил звук следующим образом:
alias sound-slot-0 snd-intel8x0
above snd-pcm-oss snd-mixer-oss
above snd-intel8x0 snd-pcm-oss
Этот вариант нормально работает.

Также звук нормально работает, если прописать /etc/modules.conf в соответствии
с 
документацией "http://www.alsa-project.org/alsa-doc/doc-php/template.php3?
company=Intel&card=i820&chip=i820&module=intel8x0"
alias char-major-116 snd
alias snd-card-0 snd-intel8x0
alias char-major-14 soundcore
alias sound-slot-0 snd-card-0
alias sound-service-0-0 snd-mixer-oss
alias sound-service-0-1 snd-seq-oss
alias sound-service-0-3 snd-pcm-oss
alias sound-service-0-8 snd-seq-oss
alias sound-service-0-12 snd-pcm-oss

#lspcidrake -v
agpgart         : Intel Corporation|82845 845 Chipset Host Bridge (MCH) 
[BRIDGE_HOST] (vendor:8086 device:2560 subv:1043 subd:80b2)
unknown         : Intel Corp.|82845G/GL [Brookdale-G] Chipset AGP Bridge 
[BRIDGE_PCI] (vendor:8086 device:2561)
usb-uhci        : Intel Corporation|82801DB USB Controller [SERIAL_USB]
(vendor:
8086 device:24c2 subv:1043 subd:8089)
usb-uhci        : Intel Corporation|82801DB USB Controller [SERIAL_USB]
(vendor:
8086 device:24c4 subv:1043 subd:8089)
usb-uhci        : Intel Corporation|82801DB USB Controller [SERIAL_USB]
(vendor:
8086 device:24c7 subv:1043 subd:8089)
ehci-hcd        : Intel Corporation|82801DB USB Enhanced Controller
[SERIAL_USB] 
(vendor:8086 device:24cd subv:1043 subd:8089)
i810_rng        : Intel Corporation|82820 815e (Camino 2) Chipset PCI 
[BRIDGE_PCI] (vendor:8086 device:244e)
i810-tco        : Intel Corporation|82801DB 845G/GL Chipset ISA Bridge (ICH4) 
[BRIDGE_ISA] (vendor:8086 device:24c0)
unknown         : Intel Corporation|82801DB 845G/GL Chipset IDE Controller 
[STORAGE_IDE] (vendor:8086 device:24cb subv:1043 subd:8089)
unknown         : Intel Corporation|82801DB SMBus Controller [SERIAL_SMBUS] 
(vendor:8086 device:24c3 subv:1043 subd:8089)
i810_audio      : Intel Corporation|ICH4 845G/GL Chipset AC'97 Audio Controller 
[MULTIMEDIA_AUDIO] (vendor:8086 device:24c5 subv:1043 subd:80b0)
Card:ATI Radeon : ATI|Radeon 7500 QW [DISPLAY_VGA] (vendor:1002 device:5157 
subv:1458 subd:4000)
b44             : Broadcom Corporation|BCM4401 100Base-T [NETWORK_ETHERNET] 
(vendor:14e4 device:4401 subv:1043 subd:80a8)
unknown         : Virtual|Hub [] (vendor:0000 device:0000)
unknown         : Virtual|Hub [] (vendor:0000 device:0000)
Mouse:USB|Wheel : Microsoft Corp.|IntelliMouse Optical [Human Interface 
Devices|Boot Interface Subclass|Mouse] (vendor:045e device:0040)
unknown         : Virtual|Hub [] (vendor:0000 device:0000)
unknown         : Virtual|Hub [] (vendor:0000 device:0000)
------- Comment #1 From 2003-10-08 12:49:38 -------
как бы это заморозить звуковую подсистему для тестирования на железе?
------- Comment #2 From 2003-10-08 13:26:31 -------
OSS заморожен.. мы его не трогаем... ну а alsa... тут как повезет. Замораживать
ее не стоит, хотя вот у меня и на nForce2 драйвер звука i810 сломался ;-(
------- Comment #3 From 2003-10-20 13:45:19 -------
fixed (ldetect-lst-0.2.16)